Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Text von DWG in eine Excel Datei exportieren!

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Text von DWG in eine Excel Datei exportieren! (605 mal gelesen)
Robert K
Mitglied
CAD Techniker

Sehen Sie sich das Profil von Robert K an!   Senden Sie eine Private Message an Robert K  Schreiben Sie einen Gästebucheintrag für Robert K

Beiträge: 4
Registriert: 03.05.2002

erstellt am: 03. Mai. 2002 08:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ein Hallo an alle ACADler
Meine Frage:
(Acad 2000i) wie exportiere ich einen Text aus einer DWG in einen Editor oder Excel?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Wolli
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Wolli an!   Senden Sie eine Private Message an Wolli  Schreiben Sie einen Gästebucheintrag für Wolli

Beiträge: 704
Registriert: 28.02.2001

Win7 64Bit+32Bit VM-Ware
I7 12GB
ACAD Mech 2010
Inventor Pro 2010 + 2012
Ansys 13 NLS

erstellt am: 03. Mai. 2002 08:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Robert K 10 Unities + Antwort hilfreich

Servus Robert,

wenn Dir das reicht:
Im ACAD-Editor Text markieren Strg + C drücken
Im externen Editor Strg + v drücken.
evtl. noch Farben und Textstil ändern.

Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Angelika Preiwuss
Mitglied
Dipl.-Ing. (FH)


Sehen Sie sich das Profil von Angelika Preiwuss an!   Senden Sie eine Private Message an Angelika Preiwuss  Schreiben Sie einen Gästebucheintrag für Angelika Preiwuss

Beiträge: 1169
Registriert: 12.07.2000

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und Zusatz zu meinem Job bei S-CAPE GmbH............................. auf Grund Eheschliessung neuer Name: Angelika Hädrich

erstellt am: 03. Mai. 2002 09:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Robert K 10 Unities + Antwort hilfreich

Hallo Robert K.,
ist es einfach nur Text, dann würde ich es so machen wie Wolfgang vorschlägt, oder handelt es sich um Attribute - Attribute kann man auslesen (siehe Hilfe: Exrahieren von Blockattributen).
Gruss Angelika

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Robert K
Mitglied
CAD Techniker

Sehen Sie sich das Profil von Robert K an!   Senden Sie eine Private Message an Robert K  Schreiben Sie einen Gästebucheintrag für Robert K

Beiträge: 4
Registriert: 03.05.2002

erstellt am: 06. Mai. 2002 06:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Sorry hatte die frage in meiner Verzweiflung nicht korrekt gestellt!

.....DWG Text in einen Text-Editor ....
Wenn ich es mit markieren und einfügen versuche habe ich eine typische OLE funtion ...!
Aber ich möchte den text in Excel weiter verarbeiten und nicht ein fenster mit schwarzen Hintergrund bekommen!
Vielleicht habt ihr eine neue Idee..?
Danke im vorraus für jeden denkanstoß!

Mit kollegialen Grüßen

R. K.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Thomas Rausch
Mitglied



Sehen Sie sich das Profil von Thomas Rausch an!   Senden Sie eine Private Message an Thomas Rausch  Schreiben Sie einen Gästebucheintrag für Thomas Rausch

Beiträge: 1199
Registriert: 26.03.2001

Intel P4 2,6 GHz
512 MB RAM
NVIDIA GeForce FX 5200
.
WinXP prof.
Autodesk Map 2004 SP 1
WS-Landcad 2004
.
Tetris

erstellt am: 06. Mai. 2002 07:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Robert K 10 Unities + Antwort hilfreich

Hallo Robert,
ich denke, die Frage war schon korrekt gestellt, die Antwort war es auch:
Du musst den Text im Editor markieren (d.h. dort, wo er auch bearbeitet werden kann, also nicht das AutoCAD_Element Text, sondern die Buchstaben als solche)und wie gesagt mit Strg+C in die Windows-Zwischenablage kopieren.
Probiere es doch noch mal.

------------------
gruß
thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Robert K
Mitglied
CAD Techniker

Sehen Sie sich das Profil von Robert K an!   Senden Sie eine Private Message an Robert K  Schreiben Sie einen Gästebucheintrag für Robert K

Beiträge: 4
Registriert: 03.05.2002

erstellt am: 06. Mai. 2002 08:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Thomas Danke für deine Geduld mit mir und die rasche Reaktion!

Ich dachte es gibt die möglichkeit den text von der ganzen DWG
auszulesen (einige hundert) und in eine Excel Datei zu speichern.
Sowie es bei attributen die möglichkeit geben sollte!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

SEHER
Mitglied
Systemanalytiker


Sehen Sie sich das Profil von SEHER an!   Senden Sie eine Private Message an SEHER  Schreiben Sie einen Gästebucheintrag für SEHER

Beiträge: 1197
Registriert: 13.03.2001

Inventor 2 bis 2020
häufig wechselnder Rechnerverkehr

erstellt am: 06. Mai. 2002 08:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Robert K 10 Unities + Antwort hilfreich

Hallo Robert,
wenns häufiger vorkommt lohnt sehr wahrscheinlich ein Programm (Lisp oder).
Gruß
Seher

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1896
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 06. Mai. 2002 09:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Robert K 10 Unities + Antwort hilfreich

Tatü tata, die Post ist da!
Das Teil sucht Dir eine *.csv Datei, die Du in Excel bearbeiten kannst.
Ausserdem werden wur die Texte ausgewählt, die sich in aktuellen Layout befinden.

(defun c:schreibtext (/)
  (setq OLDERR  *ERROR*
        *ERROR* MYERROR
        as      (ssget "_X" (list (cons 0  "TEXT")(cons 410 (getvar "ctab"))))
        zaehler 0
        datei  (getfiled "Datei speichern" "csv" "" 1)
        dat    (open datei "a")
        ) ;_ end of setq
(if datei
(progn
  (repeat (sslength as)
    (setq tt (cdr (assoc 1 (entget (setq gg (ssname as 0))))))
    (write-line (strcat tt ";") dat)
    (setq as (ssdel gg as))
    ) ;_ end of repeat
  (close dat)
)
(Prompt "\nKeine Datei erstellt - Ende")
  (setq *error* olderr)
  ) ;_ end of defun

(defun myerror (s)                      ; If an error (such as CTRL-C) occurs
                                        ; while this command is active...
  (if (/= s "Funktion abgebrochen")
    (princ (strcat "\nFehler: " s))
    ) ;_ end of if
  (close dat)
  (setq *error* olderr)                ; Restore old *error* handler
  (princ)
  ) ;_ end of defun

------------------
Gruß
CADwiesel

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1896
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 06. Mai. 2002 09:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Robert K 10 Unities + Antwort hilfreich

Oops sorry
hinter "(Prompt "\nKeine Datei erstellt - Ende")" fehlt noch eine Schliessende Klammer für die if schleife

------------------
Gruß
CADwiesel

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Robert K
Mitglied
CAD Techniker

Sehen Sie sich das Profil von Robert K an!   Senden Sie eine Private Message an Robert K  Schreiben Sie einen Gästebucheintrag für Robert K

Beiträge: 4
Registriert: 03.05.2002

erstellt am: 06. Mai. 2002 10:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ein Danke an CADwiesel!!!
und alle die sich mit meinem Problem beschäftigt haben!
Bin kein Programmierer aber es sieht sehr gut aus !!!

Danke im vorraus werd mich heute abend damit aussernader setzten...
Kunde wartet und möchte etwas auf dem Papier sehen!...

Grüße an Alle
R.K.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

carambita
Mitglied
Dipl.-Ing. Theater- u. Veranstaltungstechnik


Sehen Sie sich das Profil von carambita an!   Senden Sie eine Private Message an carambita  Schreiben Sie einen Gästebucheintrag für carambita

Beiträge: 272
Registriert: 03.10.2002

Windows 7 (64-bit) / AutoCAD 2015

erstellt am: 29. Okt. 2002 09:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Robert K 10 Unities + Antwort hilfreich

Mein HELD!! 

dieses Forum ist eine wahre Goldfundgrube!!

Vielen Dank

------------------

viele grüße
carambita

[Diese Nachricht wurde von carambita am 29. Oktober 2002 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2653
Registriert: 26.08.2002

erstellt am: 29. Okt. 2002 09:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Robert K 10 Unities + Antwort hilfreich

Hy Leute,

da gabs unter 12 mal ne witzige lsp die konnte auch noch was in der
richtung.die hat allen text in einen Editor gepackt,dort konnte
man das ganze mit allen optionen maipulieren und
dann einfach zurück in die Zeichnung geben.

also bei bedarf könnte man nach dem teil fahnden.

CUSee you = Wir sehen uns cw

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz